/* Copyright 2009 Palm, Inc.  All rights reserved. */

var SystemServiceMojoService = Class.create( {
  initialize: function() {
  },
  
  getPrefs: function(name, callback, sceneController) {
    return sceneController.serviceRequest(SystemServiceMojoService.identifier, {
      	method: 'getPreferences',	  		
		parameters: {
			subscribe: true,
			keys: name
		},
		onSuccess: callback,
		onFailure: callback
    });
  },
  
  setPrefs: function(params, callback, sceneController) {
    return sceneController.serviceRequest(SystemServiceMojoService.identifier, {
      	method: 'setPreferences',	  		
		parameters: params,
		onSuccess: callback,
		onFailure: callback
    });
  },
  
});

SystemServiceMojoService.identifier = 'palm://com.palm.systemservice';
